import { useState, useMemo, useEffect } from "react";
import FilterSection from "./components/FilterSection";
import CourseList from "../../../components/models/course/list/CourseList";
import { api } from "@nice/client";
import {
	courseDetailSelect,
	CourseDto,
	LectureType,
	PostType,
} from "@nice/common";
import { useSearchParams } from "react-router-dom";
import { set } from "idb-keyval";
import { useMainContext } from "../layout/MainProvider";
import AllCoursesLayout from "./layout/AllCoursesLayout";

interface paginationData {
	items: CourseDto[];
	totalPages: number;
}
export default function CoursesPage() {
	return (
		<>
			<AllCoursesLayout></AllCoursesLayout>
		</>
	);
}
